Kerbal Space Program - Bug #26959

EVA bare Kerbal (no parachute, no jetpack) made of explodium - exploded on Duna from jumping
and landing.

01/02/2021 09:20 PM - Dunbaratu

Status: Confirmed Start date: 01/02/2021
Severity: Low % Done: 10%
Assignee: victorr

Category: EVA

Target version:

Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

The movie clip below pretty much shows it all. On Duna, took off the parachute and jetpack and showed people how a jump works
un-encumbered. Except on landing the kerbal jittered all funny for an instant and exploded.

History

#2 - 01/05/2021 10:48 PM - victorr
- Status changed from New to Confirmed
- Assignee set to victorr

- % Done changed from 0 to 10

#3 - 01/13/2021 02:30 AM - Dunbaratu

| want to make it clear that the thing I'm submitting as a bug here is NOT how high the kerbal jumps. That feels absolutely correct to me to say that
with less mass weighing the kerbal down it should jump higher.

The thing I'm calling a bug is that landing at this speed used to be survivable before KSP 1.11. | don't mind that you ragdoll. | don't mind that you
jump so high. I only mind that it KILLS you when you do it. I've hit the ground at higher speeds than this before and not died from it, say when flying
on Duna and the jetpack runs out of fuel. The new behavior I'm calling a bug here is the change in how easy it is to die from an impact at this speed.
That is the new thing that's the problem. | don't know how it happened or why. But | do notice the kerbal does a little jitter for a moment on the
ground before the death so it's not pure impact speed that did it. Some other interaction with the ground seems to have caused it - perhaps it's
whatever was done that changed how kerbals interact with the ground (Where they now seem to be a bit more 'glued' to the surface and it takes a bit
more effort to unstick them, something related to that maybe also caused the jitter on impact that killed the kerbal here?)

At any rate, I'm totally fine with the jump being this high. It's the fact that it resulted in a death that | consider the bug here. | saw other bugs get
submitted about the jump height and | wanted to make it clear this is a different complaint from them.
